Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class PropertiesQuestion.IntConstraints

    java.lang.Object
      com.sun.interview.PropertiesQuestion.ValueConstraints
          com.sun.interview.PropertiesQuestion.IntConstraints

Enclosing class:
  PropertiesQuestion

    public static class PropertiesQuestion.IntConstraints

extends PropertiesQuestion.ValueConstraints

Field Summary
`protected boolean` | `custom` Is the user allowed to supply their own value or are they required to use one of the suggestions?
`protected int[]` | `suggestions` Suggested values for this value's response.

Constructor Summary
`PropertiesQuestion.IntConstraints()`
`PropertiesQuestion.IntConstraints(int[] suggestions)` Construct with suggested values for the user.
`PropertiesQuestion.IntConstraints(int min, int max)` Construct with defined upper and lower value boundaries.
`PropertiesQuestion.IntConstraints(int min, int max, int[] suggestions)`

Method Summary
`int` | `getLowerBound()` Get the lower bound which specifies the minimum possible value to be considered a valid response from the user.
`int[]` | `getSuggestions()` Get the suggested values.
`int` | `getUpperBound()` Get the upper bound which specifies the maximim possible value to be considered a valid response from the user.
`boolean` | `isCustomValuesAllowed()` Are custom user values allowed?
`java.lang.String` | `isValid(int v)` Is the given value valid for this field?
`java.lang.String` | `isValid(java.lang.String v)` Is the given value valid for this field? The basic check for validity is to see if the given string can be parsed as an integer value in the current locale.
`void` | `setBounds(int min, int max)` Set the max/min possible value that should be considered valid.
`void` | `setCustomValuesAllowed(boolean state)` Are user specified values allowed? If not, there must be suggestions present.
`void` | `setSuggestions(int[] sugs)` Supply some possible values that the user may want to select from.

Methods inherited from class com.sun.interview.PropertiesQuestion.ValueConstraints
`isReadOnly, isUnsetAllowed, isVisible, setReadOnly, setUnsetAllowed, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### suggestions

    protected int[] suggestions

  Suggested values for this value's response.

### custom

    protected boolean custom

  Is the user allowed to supply their own value or are they required to use one of the suggestions?

Constructor Detail

### PropertiesQuestion.IntConstraints

    public PropertiesQuestion.IntConstraints()

### PropertiesQuestion.IntConstraints

    public PropertiesQuestion.IntConstraints(int min,
                                             int max)

  Construct with defined upper and lower value boundaries.

  Parameters:
    `min` - Minimum valid response value (inclusive).
    `max` - Maximum valid response value (inclusive).

### PropertiesQuestion.IntConstraints

    public PropertiesQuestion.IntConstraints(int[] suggestions)

  Construct with suggested values for the user.

  Parameters:
    `suggestions` - Predefined values for the user to choose from.
  See Also:
    `setCustomValuesAllowed(boolean)`

### PropertiesQuestion.IntConstraints

    public PropertiesQuestion.IntConstraints(int min,
                                             int max,
                                             int[] suggestions)

Parameters:
  `min` - Minimum valid response value (inclusive).
  `max` - Maximum valid response value (inclusive).
  `suggestions` - Predefined values for the user to choose from.
See Also:
  `setBounds(int, int)`

Method Detail

### setBounds

    public void setBounds(int min,
                          int max)

  Set the max/min possible value that should be considered valid. The range in inclusive. The defaults are the MIN and MAX values for the integer type, except the minimum value itself, which is reserved.

  See Also:
    `getLowerBound()`, `getUpperBound()`

### getLowerBound

    public int getLowerBound()

  Get the lower bound which specifies the minimum possible value to be considered a valid response from the user.

  Returns:
    Minimum boundary (inclusive).

### getUpperBound

    public int getUpperBound()

  Get the upper bound which specifies the maximim possible value to be considered a valid response from the user.

  Returns:
    Maximum boundary (inclusive).

### getSuggestions

    public int[] getSuggestions()

  Get the suggested values. Not a copy, do not alter the array.

### setCustomValuesAllowed

    public void setCustomValuesAllowed(boolean state)

  Are user specified values allowed? If not, there must be suggestions present.

  Throws:
    `java.lang.IllegalStateException` - If no suggestions have been provided.
  See Also:
    `setSuggestions(int[])`

### isCustomValuesAllowed

    public boolean isCustomValuesAllowed()

  Are custom user values allowed?

  See Also:
    `setCustomValuesAllowed(boolean)`, `setSuggestions(int[])`

### setSuggestions

    public void setSuggestions(int[] sugs)

  Supply some possible values that the user may want to select from.

### isValid

    public java.lang.String isValid(java.lang.String v)

  Is the given value valid for this field? The basic check for validity is to see if the given string can be parsed as an integer value in the current locale.

  Overrides:
    `isValid` in class `PropertiesQuestion.ValueConstraints`
  Parameters:
    `v` - The value to check.
  Returns:
    Null if the valid is valid, a localized reason string otherwise.
  See Also:
    `PropertiesQuestion.getInvalidKeys()`

### isValid

    public java.lang.String isValid(int v)

  Is the given value valid for this field?

  Returns:
    Null if the valid is valid, a localized reason string otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.